// this piece of code reads deformation from a subjective bar through a INA128 amplifier.

const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to

float sensorValue = 0;        // value read from the pot
float outputValue = 0;        // value output to the PWM (analog out)

#define NUM_TO_AVERAGE 500

void setup() {
  // initialize serial communications at 9600 bps:
  Serial.begin(9600);
}

void loop() {
  // read the analog in value:
  sensorValue = analogRead(analogInPin);
  outputValue = sensorValue / NUM_TO_AVERAGE * (5.0 / 1023) * 1000000.0 / 5.0 / 2.08;  // calcuate output value according to gage factor and convert it into micro strain
  // print the results to the serial monitor:
  Serial.println(outputValue);

  delay(100);
}
